# Get a list of opt out integrations

```
GET https://www.example.com/api/v2/opt_outs/:uuid/integration_states
```

Get a list of opt out integrations

## Request

### Path Parameters

**uuid** string required  
The unique identifier of the opt out request  
**Example:** `7efa58a8-9b7d-4faf-8082-5f7f7f407db7`

### Header Parameters

**authorization** string required  
**Example:** `Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9`

## Responses

- 200  
- 401  
- 404

Opt Out Request Found

- application/json

- Schema  
- Example (auto)

**Schema**

**data** object[]

Array [

**id** integer  
  The unique identifier of the integration.  
  **Example:** `42`

**status** string  
  The status of the integration.  
  **Possible values:** [`initialized`, `success`, `error`, `processing`]

**status_message** string | null nullable  
  Additional data related to status (may be empty).  
  **Example:** `Not Started`

**created_at** string  
  Datetime of when the integration was created in the opt out request.  
  **Example:** `2024-08-09T21:14:49.444Z`

**processed_at** string | null nullable  
  Datetime of when the integration was processed in the opt out request.  
  **Example:** `2024-08-09T21:14:49.444Z`

**authentication** object  
  **name** string  
  Name of the integration.  
  **Example:** `Drift`

**uuid** string  
  Internal UUID of the integration.  
  **Example:** `cfdf8eb3-7baa-45bf-9bc5-aa28473c9e3f`

]

```json
{
  "data": [
    {
      "id": 42,
      "status": "initialized",
      "status_message": "Not Started",
      "created_at": "2024-08-09T21:14:49.444Z",
      "processed_at": "2024-08-09T21:14:49.444Z",
      "authentication": {
        "name": "Drift",
        "uuid": "cfdf8eb3-7baa-45bf-9bc5-aa28473c9e3f"
      }
    }
  ]
}
```

Unauthorized

Opt Out Request Not Found

- curl  
- go  
- java  
- nodejs  
- php  
- python  
- ruby  
- rust  
- swift

- CURL

```bash
curl -L 'https://www.example.com/api/v2/opt_outs/:uuid/integration_states' \
-H 'Accept: application/json'
```

## Base URL

**Edit**

https://www.example.com

**Parameters**

- uuid — path required  
- authorization — header required

Send API Request

## Disclaimer
The information contained in this message does not constitute legal advice. We would advise seeking professional counsel before acting on or interpreting any material.
